/*
 * Created by SharpDevelop.
 * User: Stephen
 * Date: 11/11/2006
 * Time: 3:28 PM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.IO;

class DumpPlatformData
{
	public void DumpData()
	{
		String str;
		String nl = Environment.NewLine;

		Console.WriteLine("HasShutdownStarted: " + 
		                    Environment.HasShutdownStarted);
		Console.WriteLine("MachineName: " +  
		                    Environment.MachineName);
		Console.WriteLine("OSVersion: " + 
		                    Environment.OSVersion.ToString());
		
		Console.WriteLine();
		
		Console.WriteLine("TickCount: " +
		                    Environment.TickCount);
		Console.WriteLine("UserDomainName: " + 
		                    Environment.UserDomainName);
		Console.WriteLine("UserInteractive: " + 
		                    Environment.UserInteractive);
		Console.WriteLine("UserName: " + 
		                    Environment.UserName);
		Console.WriteLine("WorkingSet: " + 
		                    Environment.WorkingSet);
		
		String query = "System drive: %SystemDrive% and system root: %SystemRoot%";
		str = Environment.ExpandEnvironmentVariables(query);
		
		Console.WriteLine("ExpandEnvironmentVariables: " + nl + " " + 
		                    str);
		Console.WriteLine("Temporary directory: " + nl + " " +
		                    Environment.GetEnvironmentVariable("TEMP"));
		
		String[] drives = Environment.GetLogicalDrives();
		Console.WriteLine("Logical Drives: " + String.Join(", ", drives));
	}
}
